# Generated by Django 3.0.1 on 2019-12-25 23:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('projets', '0003_auto_20191221_1919'),
    ]

    operations = [
        migrations.CreateModel(
            name='Collaborateur',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255)),
                ('prenom', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Commande',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('libelle', models.CharField(max_length=255)),
            ],
        ),
        migrations.AlterField(
            model_name='projet',
            name='autre',
            field=models.FloatField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='projet',
            name='cloture',
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='projet',
            name='commentaire_frais',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='projet',
            name='km_AR',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='projet',
            name='nb_AR',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='projet',
            name='peage',
            field=models.FloatField(blank=True, null=True),
        ),
        migrations.CreateModel(
            name='Mission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('collaborateur', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='projets.Collaborateur')),
                ('commande', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='projets.Commande')),
            ],
        ),
        migrations.AddField(
            model_name='commande',
            name='projet',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='projets.Projet'),
        ),
    ]
